/*
 *  All the constants for the it-standards
 *
 *  Author:         Jürgen Voskuhl, itcv GmbH
 *  Last update:    2023-09-25
 *
 * CHANGES
 * =======
 *  Date        | Name      | remarks
 *  ============+==========================================================
 *  yyyy-mm-dd  | Xyz       | bla-bla
 *              |           |
 *              |           |
 *              |           |
 *
*/

module.exports = Object.freeze({
    // Width of 1st column in info boxes (Tailwind)
    INFOBOX_1ST_COLUMN_WIDTH: 'w-20',

    // Background colors used for info boxes and chips/badges (Tailwind)
    BG_COLORS: {
        ROLES: 'bg-red-100',
        COMBINED_STANDARDS: 'bg-yellow-100',
        DEFAULT: 'bg-slate-100',

    },

    // All possible life cycles phases
    LYFE_CYCLE_PHASES: [
        'bedarfsmeldung',
        'prüfung',
        'umsetzung',
        'genehmigung_plr',
        'betriebsüberführung',
        'regelbetrieb',
        'dekommissionierungsempfehlung',
        'genehmigung_dekommissionierung',
        'dekommissionierung',
    ],
})
