import { ChildResource, ProductOwner, ContactInformation, Developer, Tag, Logo } from './content'

class ServiceContent {
    contactInformation: ContactInformation = new ContactInformation()
    developer: Developer = new Developer()
    productOwner: ProductOwner = new ProductOwner()
    docsUrl: string = ''
    name: string = ''
    shortDescription: string = ''
    sourceCodeUrl: string = ''
    status: string = ''
    tags: Tag[] = []
    initialized: boolean = false
    text: string = ''
    childResources: ChildResource[] = []
    slugMaster = ''
    logo: Logo = new Logo()
    slug: string = ''
    dateLastUpdate: string = ''

    constructor(newContent?: any) {
        if (newContent) {
            this.initialize(newContent)
            this.initialized = true
        }
    }

    initialize(newContent: ServiceContent) {
        this.productOwner = newContent.productOwner || new ProductOwner()
        this.contactInformation = newContent.contactInformation || new ContactInformation()
        this.developer = newContent.developer || new Developer()
        this.docsUrl = newContent.docsUrl || ''
        this.name = newContent.name || ''
        this.shortDescription = newContent.shortDescription || ''
        this.sourceCodeUrl = newContent.sourceCodeUrl || ''
        this.tags = newContent.tags || []
        this.text = newContent.text || ''
        this.childResources = newContent.childResources || []
        this.slug = newContent.slug || ''
        this.logo = newContent.logo || new Logo()
        const statusTags:any = this.tags?.filter((tag: Tag) => tag.name == 'status')
        if (statusTags.length > 0) {
            this.status = statusTags[0].status
        }
        const slugMasterTags:any = (this.tags?.filter((tag: Tag) => tag.name == 'slug_master'))
        if (slugMasterTags.length > 0) {
            this.slugMaster = slugMasterTags[0].value
        }

        this.dateLastUpdate = newContent.dateLastUpdate || ''
    }
}

export { ServiceContent }
